A must have! Rated 5 out of 5 stars

A must have, even for the sites you semi-trust. It even works in 4.0beta for me via the compatibility-extension.

This review is for a previous version of the add-on (1.0.3).